%define srcname xf86-video-vga
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-vga
Version: 4.1.0
Release: alt3
Serial: 1
Summary: Generic VGA video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1 : vga.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-vga
PreReq: xorg-x11-server-common >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
vga  is  an Xorg driver for generic VGA video cards.  It can
drive most VGA-compatible video cards, but only makes use of the  basic
standard  VGA  core that is common to these cards.  The driver supports
depths 1, 4 and 8.  All relevant visual types  are  supported  at  each
depth.   Multi-head  configurations  are  supported in combination with
some other drivers, but only when the vga driver is driving the primary
head.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/vga.xinf

%files
%dir %_modulesdir/drivers
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.0-alt3
- added videoaliases file from RH

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.0-alt2
- prereq xorg-x11-server-common >= 1.0.99.901

* Wed May 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.0-alt1
- 4.1.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.0.5-alt2
- fixed requires

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.0.2-alt0.1
- initial release

